PHP, which stands for PHP: Hypertext Preprocessor, is one of the most commonly used interpreted programming languages that are available out there. Any website or Internet application created in PHP will run on a given web server on the condition that a PHP module is installed, which makes the language truly universal and it’s not really all that surprising that there are actually several million servers that support it and hundreds of millions of PHP websites hosted on them. PHP is preferred over HTML thanks to the fact that it allows you to set up a responsive website with a myriad of different features. A PHP-based community portal, for instance, will display unique content to each visitor irrespective of the fact that the URL will not change. In contrast, HTML-based websites are static and the page content itself can be edited only manually. Like any other software, PHP has different versions and the one that was used whilst building a certain website must be activated on the web server in order for the site to run properly.
PHP 4 and PHP 5 Support in Cloud Website Hosting
Our cloud website hosting servers support different PHP versions, so your sites will work without any problem even if your scripts are outdated. We accept the fact that an old site doesn’t inevitably suggest a vulnerable one as you may have done a lot of mods to its code. That’s why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can choose which one will be active for your account. You can change the version with just one single click via your Hepsia Control Panel and the update will take effect immediately. In case you would like to run both newer and older scripts, there is even a possibility to use a different PHP version for each of your domains at the same time.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
If you’ve got a site built on an earlier PHP version and you’ve donated time and effort into developing it, patching security holes and embedding web content, you will need to find a hosting service that can support it, as the vast majority of web hosting companies today offer only the most recently launched version of PHP and give up the older ones. We, on the other hand, have decided to allow you to choose the version that your own sites need. Our semi-dedicated services support multiple versions of PHP 5 and PHP 4, which goes to say that you will be able to run both newer and older scripts without losing any customizations or misspending time and effort trying to make your websites compatible with the web hosting environment. You can change the version via the Hepsia Control Panel and such a change will apply to the entire account, but you will also be able to choose a different version for each website hosted in your account by means of an .htaccess config file.